Browse Source

Drop EOL Python 3.4 support

develop
Ben Kurtovic 1 month ago
parent
commit
d650f827b3
9 changed files with 8 additions and 18 deletions
  1. +1
    -1
      .github/workflows/build-linux-wheels.yml
  2. +1
    -4
      .github/workflows/build-macos-wheels.yml
  3. +1
    -1
      .travis.yml
  4. +1
    -0
      CHANGELOG
  5. +1
    -1
      README.rst
  6. +0
    -8
      appveyor.yml
  7. +1
    -0
      docs/changelog.rst
  8. +1
    -1
      docs/index.rst
  9. +1
    -2
      setup.py

+ 1
- 1
.github/workflows/build-linux-wheels.yml View File

@@ -10,7 +10,7 @@ jobs:
- name: Build manylinux1 Python wheels
uses: RalfG/python-wheels-manylinux-build@0c24cb31441c7a1e6ea90d6a6408d406b2fee279
with:
python-versions: 'cp34-cp34m cp35-cp35m cp36-cp36m cp37-cp37m cp38-cp38'
python-versions: 'cp35-cp35m cp36-cp36m cp37-cp37m cp38-cp38'
- name: Move to dist/
run: |
mkdir -p dist


+ 1
- 4
.github/workflows/build-macos-wheels.yml View File

@@ -1,16 +1,13 @@
name: Build macOS wheels

on: [push]
on: push

jobs:
build:

runs-on: macos-latest
strategy:
matrix:
# macOS apparently doesn't support 3.4
python-version: [3.5, 3.6, 3.7, 3.8]

steps:
- uses: actions/checkout@v2
- name: Set up Python ${{ matrix.python-version }}


+ 1
- 1
.travis.yml View File

@@ -1,11 +1,11 @@
dist: xenial
language: python
python:
- 3.4
- 3.5
- 3.6
- 3.7
- 3.8
- 3.9-dev
install:
- pip install coveralls
- python setup.py develop


+ 1
- 0
CHANGELOG View File

@@ -1,6 +1,7 @@
v0.6 (unreleased):

- Added support for Python 3.8.
- Dropped support for end-of-life Python 3.4.
- Updated Wikicode.matches() to recognize underscores as being equivalent
to spaces. (#216)
- Fixed a rare parsing bug involving deeply nested style tags. (#224)


+ 1
- 1
README.rst View File

@@ -11,7 +11,7 @@ mwparserfromhell

**mwparserfromhell** (the *MediaWiki Parser from Hell*) is a Python package
that provides an easy-to-use and outrageously powerful parser for MediaWiki_
wikicode. It supports Python 3.4+.
wikicode. It supports Python 3.5+.

Developed by Earwig_ with contributions from `Σ`_, Legoktm_, and others.
Full documentation is available on ReadTheDocs_. Development occurs on GitHub_.


+ 0
- 8
appveyor.yml View File

@@ -22,14 +22,6 @@ environment:
secure: gOIcvPxSC2ujuhwOzwj3v8xjq3CCYd8keFWVnguLM+gcL0e02qshDHy7gwZZwj0+

matrix:
- PYTHON: "C:\\Python34"
PYTHON_VERSION: "3.4"
PYTHON_ARCH: "32"

- PYTHON: "C:\\Python34-x64"
PYTHON_VERSION: "3.4"
PYTHON_ARCH: "64"

- PYTHON: "C:\\Python35"
PYTHON_VERSION: "3.5"
PYTHON_ARCH: "32"


+ 1
- 0
docs/changelog.rst View File

@@ -8,6 +8,7 @@ Unreleased
(`changes <https://github.com/earwig/mwparserfromhell/compare/v0.5.4...develop>`__):

- Added support for Python 3.8.
- Dropped support for end-of-life Python 3.4.
- Updated Wikicode.matches() to recognize underscores as being equivalent
to spaces. (`#216 <https://github.com/earwig/mwparserfromhell/issues/216>`_)
- Fixed a rare parsing bug involving deeply nested style tags.


+ 1
- 1
docs/index.rst View File

@@ -3,7 +3,7 @@ MWParserFromHell v\ |version| Documentation

:mod:`mwparserfromhell` (the *MediaWiki Parser from Hell*) is a Python package
that provides an easy-to-use and outrageously powerful parser for MediaWiki_
wikicode. It supports Python 3.4+.
wikicode. It supports Python 3.5+.

Developed by Earwig_ with contributions from `Σ`_, Legoktm_, and others.
Development occurs on GitHub_.


+ 1
- 2
setup.py View File

@@ -77,7 +77,7 @@ setup(
ext_modules = [tokenizer] if use_extension else [],
test_suite = "tests",
version = __version__,
python_requires = ">= 3.4",
python_requires = ">= 3.5",
author = "Ben Kurtovic",
author_email = "ben.kurtovic@gmail.com",
url = "https://github.com/earwig/mwparserfromhell",
@@ -93,7 +93,6 @@ setup(
"License :: OSI Approved :: MIT License",
"Operating System :: OS Independent",
"Programming Language :: Python :: 3",
"Programming Language :: Python :: 3.4",
"Programming Language :: Python :: 3.5",
"Programming Language :: Python :: 3.6",
"Programming Language :: Python :: 3.7",


Loading…
Cancel
Save